Description: I've just setup ChiliProject on Ubuntu 10.10, and made some minor changes to "the wiki 

page":https://www.chiliproject.org/projects/chiliproject/wiki/Installation_on_Ubuntu_10_10 to reflect a few 
gotchas I found on my way.

I'm not at all versed in Ruby/Rails. This was my first setup of a Rails app ever, and I got it done in less than 
1hr (using mysql and passenger). 
That speaks volumes of your documentation :)

There's just one thing that got me puzzled. 

First you suggest to install ruby1.8, and make some notes on not installing Rails from the Ubuntu repos.

But further below the page, you have me @install libapache2-mod-passenger.@ This includes some 
dependencies that make me feel unconfortable:
@javascript-common libjs-prototype librack-ruby librack-ruby1.8 ruby rubygems wwwconfig-common@

Makes me feel I'm installing things that may be conflicting with things I've already installed. I.e., "ruby" vs 
"ruby1.8", "librack-ruby" vs "1.0.1 of rack (via gem)".
(Also installing things like @wwwconfig-common@ or @javascript-common@ feels totally unrelated.)

I do realize that this is because I'm a total Ruby newbie (less than a newbie!). 
Clarify it in some way? Change the order the text? I don't know.
But maybe there's a fix for this stain in an otherwise excellent piece of doc, helping chiliproject gain adoption?

History
2011-03-15 11:43 pm - Muntek Singh
Did you use Variant 1 with ubuntu packages or Variant 2 using RVM?

2011-03-15 11:47 pm - Manuel Razzari
*Variant 1* with Ubuntu packages. 

I did try to install passenger via RVP (after having done everything else via Ubuntu packages) and got the following error:

<pre>
ERROR:  Error installing passenger:
        ERROR: Failed to build gem native extension.

/usr/bin/ruby1.8 extconf.rb
extconf.rb:8:in `require': no such file to load -- mkmf (LoadError)
        from extconf.rb:8
</pre>
2011-03-30 11:28 am - Benny Thomas
I got that error and had to install the ruby dev environment to get postgresql to work.
<pre>
    (sudo) apt-get install ruby1.8-dev
</pre>

2011-03-30 12:44 pm - Holger Just
Manuel Razzari wrote:
> First you suggest to install ruby1.8, and make some notes on not installing Rails from the Ubuntu repos.

It probably is better to install @ruby@ instead of @ruby1.8@. While the main stuff is in @ruby1.8@ (which is a dependency of @ruby@), only @ruby@ 
adds the common executables without the @1.8@ suffix. I changed the guide accordingly.

> But further below the page, you have me @install libapache2-mod-passenger.@ This includes some dependencies that make me feel unconfortable:
> @javascript-common libjs-prototype librack-ruby librack-ruby1.8 ruby rubygems wwwconfig-common@

The only thing which might cause issues here is librack-ruby, as it installs version 1.1 here. Rails 2.3.5 (and thus ChiliProject 1.x) requires Rack 1.0.1. I 
have to further investigate if this causes any issues.

The alternative would be to install passenger from source by following the RVM installation route of passenger. This however requires the presence of a 
compiler toolchain on your system. If you have this, I'd strongly recommend to go the RVM route in the first place.

> (Also installing things like @wwwconfig-common@ or @javascript-common@ feels totally unrelated.)

These are just dependencies of the Ubuntu (and Debian) passenger package. These are used if you install certain Rails apps with packages. But we 
are not using those. They are just unnecessary tonnage here.

2011-03-30 12:59 pm - Holger Just
Manuel Razzari wrote:
> I did try to install passenger via RVP (after having done everything else via Ubuntu packages) 

I assume you meant RVM. All database adapter gems (except some special and generally not recommended versions) implement the actual adapter 
with a C library. If you install them via Rubygems you naturally need a compiler tool chain (GCC plus a few tools) and the header files ehich both get 
installed from @ruby1.8-dev@

I generally recommend to use either Debian/Ubuntu packages completely (if possible) or to stick to RVM. Mixing both approaches (esp. with C based 
gems) can lead to some strange and hard to debug issues.

2011-04-01 03:08 pm - Guillaume Bourque
Holger Just wrote:
> I generally recommend to use either Debian/Ubuntu packages completely (if possible) or to stick to RVM. Mixing both approaches (esp. with C based 
gems) can lead to some strange and hard to debug issues.

My I suggest this:

Have 2 seperates documents, 1 with the package and another one to build manually. It would make thinks lot simpler for sysamdin who are new to rail 
stuff mike me !

It would also be nice to have an install doc based on ubuntu 10.04 since it is a LTS version of ubuntu that should be around for a couples of years.
I can make one from 10.04 if needed but I know nothing about ruby best practice install, but I have access to a dev env with an ubuntu 10.04 where I 
can test and re test a normal install from pkg.

Thanks  
